## qtbase-opensource-src 5.15.2+dfsg

=== tests/auto/cmake/test_QTBUG-63422/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(test_dependent_modules)

# Need to set the policy to link to qtmain.lib automatically.
cmake_policy(SET CMP0020 NEW)

find_package(Qt5Widgets REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# make sure CMP0071 warnings cause a test failure
set(CMAKE_SUPPRESS_DEVELOPER_ERRORS FALSE CACHE INTERNAL "" FORCE)

qt5_wrap_cpp(moc_files mywidget.h)
qt5_wrap_ui(ui_files mywidget.ui)
qt5_add_resources(qrc_files res.qrc)

add_executable(mywidget
    # source files
    mywidget.cpp
    mywidget.h
    mywidget.ui
    res.qrc

    # generated files
    ${moc_files}
    ${ui_files}
    ${qrc_files}
)
target_link_libraries(mywidget ${Qt5Widgets_LIBRARIES})

=== tests/auto/cmake/test_platform_defs_include/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_platform_defs_include)

find_package(Qt5Core REQUIRED)

include_directories(${Qt5Core_INCLUDE_DIRS})
add_definitions(${Qt5Core_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(myobject main.cpp)
target_link_libraries(myobject Qt5::Core)

=== debian/changelog ===
qtbase-opensource-src (5.15.2+dfsg-lnd.2) buster-security; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:09:53 +0800

qtbase-opensource-src (5.15.2+dfsg-lnd.1) buster-security; urgency=high

  [ CaoHuixiong ]
  * Port Qt5.15.1 to LoongArch

 -- CaoHuixiong <caohuixiong@loongson.cn>  Mon Jan 11 06:48:23 UTC 2021

=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 11),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.17.14),
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgl-dev,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 1.6.0~),
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.17~),
               publicsuffix,
               qt5-qmake-bin <cross>,
               unixodbc-dev,
               zlib1g-dev
Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                     qtattributionsscanner-qt5 <!nodoc>
Standards-Version: 4.5.1
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5core5a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qtbase-abi-5-15-2
Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: qttranslations5-l10n
Suggests: libthai0
Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
        libqtcore4 (<< 4:4.8.7+dfsg-20~)
Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt5-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt5-flatpak-platformtheme
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qt5-xdgdesktopportal-platformtheme (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 Flatpak platform theme (transitional package)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional package which can safely be removed.

Package: qt5-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt5network5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libssl1.1, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5sql5-ibase
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Firebird database driver
 This package contains the Firebird plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt5xml5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 5 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtPrintSupport module provides classes to make printing easier and
 portable.

Package: qtbase5-dev
Architecture: any
Multi-Arch: same
Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use precompiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

mkspec_osmap_kfreebsd = gnukfreebsd
platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
platform_arg = $(platform_os)-g++

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
endif

# Refuse cross building with a qmake whose version differs from the package.
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	 sed -e 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' -e 's/.{DEB_HOST_GNU_TYPE}/$(DEB_HOST_GNU_TYPE)/g' \
                debian/qt5-qmake.links.in > debian/qt5-qmake.links
	 sed -e 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' \
                debian/libqt5core5a.links.in > debian/libqt5core5a.links
	 sed 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' \
                debian/qtbase5-dev.links.in > debian/qtbase5-dev.links
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
endif
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            -no-use-gold-linker \
	            -no-mimetype-database \
	            -no-feature-relocatable \
	            -xcb-native-painting \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -vf debian/stamp-makefile-build-tools

	# more leftovers
	rm -f .device.vars .qmake.vars

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't need it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

## qtbase-opensource-src 5.15.3

=== debian/changelog ===
qtbase-opensource-src (5.15.3-1+dde) unstable; urgency=medium

  * New upstream release.
  * Update symbols.
  * Conflict resolution.

 -- Lu YaNing <luyaning@uniontech.com>  Thu, 24 Mar 2022 19:24:44 +0800

qtbase-opensource-src (5.15.1.10-1+dde) unstable; urgency=medium

  * Fix item view auto-scrolling during drag'n'drop:
    -- QTBUG-98961-Fix-item-view-auto-scrolling-during-dragdrop.patch
  * Use qint64 to replace int while qt_transform_image_rasterize:
    -- QTBUG-99163-Use-qint64-to-replace-int-while-qt_transform_image_rasterize.patch
  * Test result of qobject_cast before dereferencing:
    -- QTBUG-98247-Test-result-of-qobject_cast-before-dereferencing.patch
  * Avoid int overflow in QImage rotate90/180/270:
    -- QTBUG-91223-Avoid-int-overflow-in-QImage-rotate90-180-270.patch
  * Always update pressedPosition when drag was enabled:
    -- QTBUG-99512-Always-update-pressedPosition-when-drag-was-enabled.patch
  * QProcess/Unix: ensure we don't accidentally execute something from CWD:
    -- CVE-2022-25255.diff
  * Show the year correctly after it has been edited:
    -- QTBUG-86307-Show-the-year-correctly-after-it-has-been-edited.patch

  -- Zhang Hao <zhanghao@uniontech.com>  Tue, Dec 14 13:34:21 2021 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.17.14),
@@ -24,7 +24,7 @@
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
                libgl-dev,
-               libgles2-mesa-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -33,6 +33,7 @@
                libinput-dev [linux-any],
                libjpeg-dev,
                libkrb5-dev,
+               libmd4c-dev,
                libmtdev-dev [linux-any],
                libpcre2-dev,
                libpng-dev,
@@ -76,7 +77,7 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -85,13 +86,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-15-2
+Provides: qtbase-abi-5-15-3
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
-        libqtcore4 (<< 4:4.8.7+dfsg-20~)
-Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -155,7 +154,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libssl1.1, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 network module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -337,3 +336,5 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+Depends: libegl-dev,
+         libgl-dev [!armel !armhf],

## qtbase-opensource-src 5.15.3%2Bdfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.3+dfsg-2ubuntu0.2+esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2024-25580.patch: Improve KTX file reading
      memory safety
    - CVE-2024-25580

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 03 Dec 2025 21:15:10 +1100

qtbase-opensource-src (5.15.3+dfsg-2ubuntu0.2+esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2023-24607.patch: Deal with different sizes of
      SQLTCHAR correctly
    - CVE-2023-24607
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2023-32762.patch: Match header names case
      insensitively
    - CVE-2023-32762
  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-33285.patch: Fix parsing corrupt, malicious,
      or truncated replies
    - CVE-2023-33285
  * SECURITY UPDATE: Improper Certificate Validation
    - debian/patches/CVE-2023-34410.patch: Copy the on-demand cert loading
      bool from default config
    - CVE-2023-34410

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 19 Sep 2025 10:08:54 +1000

qtbase-opensource-src (5.15.3+dfsg-2ubuntu0.2) jammy; urgency=medium

  * Add a patch to update signature of SSL_CTX_set_options for OpenSSL 3
    (LP: #1981807). Thanks Michael Saxl!

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 10 Aug 2022 11:37:53 +0300

qtbase-opensource-src (5.15.3+dfsg-2ubuntu0.1) jammy; urgency=medium

  * Backport upstream patch to remove limit on the number of HTTP/2 streams.
    Fixes https://bugs.kde.org/455540. (LP: #1980210)

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jun 2022 14:22:24 +0100

qtbase-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * Backport upstream patch to fix qtconcurrentthreadengine.h with GCC 11.
    - Closes: #1008391

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix parsing include inside enum (LP: #1968074).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 18:50:52 +0300

qtbase-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - xcb_screens_uaf.patch
    - qnam_connect_memory_leak.diff
    - qiodevice_readline_memory.diff
  * Remove most of gcc_11_limits.diff, only one change left.
  * Refresh other patches.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-3.
  * Update symbols files from the current build logs.
  * Exclude one more RFC file from the tarball.
  * Stop adding -Wl,--as-needed explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Mar 2022 21:00:06 +0300

qtbase-opensource-src (5.15.2+dfsg-15) unstable; urgency=medium

  * Backport upstream changes to improve support for OpenSSL 3.0.
    - Don't hardcode libssl version in Depends, fill it dynamically.
  * Replace -ffile-prefix-map in qmodule.pri.
  * Backport upstream patch to make QProcess not search for executables in
    CWD unless explicitly told so (CVE-2022-25255).
  * Update some Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Feb 2022 00:00:28 +0300

qtbase-opensource-src (5.15.2+dfsg-14) unstable; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).
  * Update symbols files from buildds’ logs.
  * Override some source-is-missing and unpack-message-for-orig warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 17:12:50 +0300

qtbase-opensource-src (5.15.2+dfsg-13) unstable; urgency=medium

  [ Lu YaNing ]
  * Backport upstream patch to fix recursion crash when calling
    setStyleSheet with `qproperty-styleSheet`: fix_recursion_crash.diff.

  [ Dmitry Shachnev ]
  * Backport upstream patch to treat MYSQL_FIELD as read-only, to fix issues
    with MariaDB server 10.6 (closes: #999595).
  * Update symbols files from buildds’ and the current build logs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Nov 2021 16:34:39 +0300

qtbase-opensource-src (5.15.2+dfsg-12) unstable; urgency=medium

  * Add a patch to properly cast types for EGL X11 tests (Closes: #994906).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Sep 2021 10:02:33 -0300

qtbase-opensource-src (5.15.2+dfsg-11) unstable; urgency=medium

  * Apply multi-arch hints.
    + qtbase5-doc, qtbase5-doc-dev, qtbase5-doc-html: Add Multi-Arch: foreign.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport upstream patch
    xcb_add_a_timeout_control_when_reading_INCR_property.diff in order to fix
    timestamp issue on QXcbConnection,
    https://bugreports.qt.io/browse/QTBUG-56595

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Sep 2021 15:07:55 -0300

qtbase-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  [ Lu Yaning ]
  * Restore fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
  * Backport upstream patch to fix the regression with placement of
    placeholder text in QLineEdits with action icons.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix icon display on checkable QPushButtons
    with Fusion style (closes: #991255).
  * Backport upstream patch to remove MySQL version checks, which led to
    wrong conclusions with MariaDB Connector ≥ 3.2.
  * Backport upstream patch to fix QTextFormat::FullWidthSelection for
    right-to-left text layouts.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Aug 2021 21:32:57 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -90,7 +91,9 @@
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -107,6 +110,7 @@
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
           libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Conflicts: libqt5gui5-gles
 Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -329,12 +333,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- The QtPrintSupport module provides classes to make printing easier and
- portable.
-
-Package: qtbase5-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libegl-dev,
-         libgl-dev [!armel !armhf],

## qtbase-opensource-src 5.15.3+dfsg

=== tests/auto/cmake/test_wrap_cpp_and_resources/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_wrap_cpp_and_resources)

find_package(Qt5Core REQUIRED)

include_directories(${Qt5Core_INCLUDE_DIRS})

add_definitions(${Qt5Core_DEFINITIONS})

qt5_wrap_cpp(moc_files myobject.h)

qt5_add_resources(rcc_files "test_wrap_cpp_and_resources.qrc")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(myobject myobject.cpp ${moc_files} ${rcc_files})
target_link_libraries(myobject ${Qt5Core_LIBRARIES})

## qtbase-opensource-src 5.15.3.1

=== debian/changelog ===
qtbase-opensource-src (5.15.3.1-1+dde) unstable; urgency=medium

  * Restore metatypes package location

 -- Lu YaNing <luyaning@uniontech.com>  Mon, 23 May 2022 14:56:23 +0800

## qtbase-opensource-src 5.15.3.2

=== debian/changelog ===
qtbase-opensource-src (5.15.3.2-1+dde) unstable; urgency=medium

  [ Tang Haixiang ]
  * QMenu: Adjust the position of the submenu
    -- QTBUG-104050-QMenu-adjust-the-position-of-submenu.patch
  * QListview: PageDown/Up infinite loop
    -- QListView-pageDownUp-infinte-loop.patch

  [ Duan Ting ]
  * Ignore window icon in XCB when its size exceeds maximum request length
    -- QTBUG-102628-Application-will-crash-if-setWindowsIcon-with-a-big-ICON.patch
  * Avoid adding null-objects to the icon cache
    -- Avoid_adding_null-objects_to_the_icon_cache.patch

 -- Lu YaNing <luyaning@uniontech.com>  Tue, 02 Aug 2022 10:00:01 +0800

## qtbase-opensource-src 5.15.6

=== debian/changelog ===
qtbase-opensource-src (5.15.6-1+dde) unstable; urgency=medium

  [ Duan Ting ]
  * New upstream release (5.15.6).

  [ Tang Haixiang ]
  * Fix the mouse offset problem at the edge of the screen when zooming
    -- fix-mouse-sitting-offset-under-zoom.patch

 -- Duan Ting <duanting@uniontech.com>  Wed, 14 Sep 2022 17:56:31 +0800

## qtbase-opensource-src 5.15.6+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-misplacement-of-placeholder-text-in-QLineEdit.diff
    - fix-placement-of-placeholder-text-in-QLineEdits-with-action-icons.diff
    - mysql_remove_version_checks.diff
    - full_width_selection_rtl.diff
    - xcb_add_a_timeout_control_when_reading_INCR_property.diff
    - CVE-2021-38593.diff
    - moc_handle_include.diff
    - remove_limit_on_number_of_streams.diff
  * Update symbols files from buildds’ and current build logs.
  * Revert removal of QtConcurrent::ThreadEngineBase::startBlocking(),
    which is part of public API and used in the wild.
  * Bump ABI version to qtbase-abi-5-15-6.
  * Update debian/copyright (automatically and manually).
  * Exclude chip.debug compiled binary from the tarball.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 11:44:12 +0300

qtbase-opensource-src (5.15.5+dfsg-3) experimental; urgency=medium

  * Merge 5.15.4+dfsg-5 upload from unstable.
  * Update Lintian overrides.
  * Update symbols files from buildds' logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Aug 2022 16:08:10 +0300

qtbase-opensource-src (5.15.5+dfsg-2) experimental; urgency=medium

  * Restore CVE-2021-38593.diff, 3 of 4 commits are still applicable.
  * Update symbols files from buildds’ logs.
  * Backport upstream patch to remove limit on the number of HTTP/2 streams.
    Fixes https://bugs.kde.org/show_bug.cgi?id=455540.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jun 2022 23:37:04 +0300

qtbase-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump ABI version to 5.15.5.
  * Remove reverse-applicable upstream patches:
    - gcc_11_limits.diff
    - CVE-2021-38593.diff
  * Refresh existing patches.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 22:08:50 -0500

qtbase-opensource-src (5.15.4+dfsg-5) unstable; urgency=medium

  * Add a patch to update signature of SSL_CTX_set_options for OpenSSL 3
    (LP: #1981807). Thanks Michael Saxl!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Aug 2022 16:56:40 +0300

qtbase-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to remove limit on the number of HTTP/2 streams
    (closes: #1014112).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2022 22:49:23 +0300

qtbase-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:00:47 +0300

qtbase-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Install QtXcbQpa private headers needed for deepin-qt5dxcb-plugin,
    to avoid modifying it for every new Qt version.
  * Use symver directive to catch all private symbols at once.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 May 2022 14:42:53 +0300

qtbase-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-invalid-pointer-return-with-QGridLayout.diff
    - gcc-11-qtconcurrentthreadengine.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-4.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2022 17:14:31 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -78,7 +77,7 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -87,7 +86,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-15-3
+Provides: qtbase-abi-5-15-6
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -333,3 +332,7 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
+ The QtPrintSupport module provides classes to make printing easier and
+ portable.
+
+Package: qtbase5-dev

## qtbase-opensource-src 5.15.6.1

=== debian/changelog ===
qtbase-opensource-src (5.15.6.1-1+dde) unstable; urgency=medium

  * Resolve libqtcore4 conflict with libqt5core5a.
  * Restore metatypes package location.

 -- Duan Ting <duanting@uniontech.com>  Wed, 09 Nov 2022 17:13:16 +0800

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -90,9 +90,7 @@
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
-        libqtcore4 (<< 4:4.8.7+dfsg-20~)
-Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -109,7 +107,6 @@
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
           libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
-Conflicts: libqt5gui5-gles
 Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -336,3 +333,8 @@
  portable.
 
 Package: qtbase5-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libegl-dev,
+         libgl-dev [!armel !armhf],

## qtbase-opensource-src 5.15.6.3

=== debian/changelog ===
qtbase-opensource-src (5.15.6.3-1+dde) unstable; urgency=medium

  * Revert "xcb: implement missing bits from ICCCM 4.1.4 WM_STATE handling"
    -- QTBUG-101347-revert-xcb-implement-missing-bits-form-icccm414-WM_STATE-handling.patch

 -- Lu YaNing <luyaning@uniontech.com>  Wed, 07 Dec 2022 17:24:46 +0800

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,9 @@
 export PATH := $(PATH):$(shell pwd)/bin
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
+sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)
 
 # Upstream changelog
 upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
@@ -75,12 +76,6 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	 sed -e 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' -e 's/.{DEB_HOST_GNU_TYPE}/$(DEB_HOST_GNU_TYPE)/g' \
-                debian/qt5-qmake.links.in > debian/qt5-qmake.links
-	 sed -e 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' \
-                debian/libqt5core5a.links.in > debian/libqt5core5a.links
-	 sed 's/.{DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' \
-                debian/qtbase5-dev.links.in > debian/qtbase5-dev.links
 ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
 	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
 endif
@@ -239,3 +234,11 @@
 	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 endif
 
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
+		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
+
+	# Use multiarched directory for host_bins variable (see #909575)
+	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
+

## qtbase-opensource-src 5.15.8

=== debian/changelog ===
qtbase-opensource-src (5.15.8-1+dde) unstable; urgency=medium

  * New upstream release (5.15.8).

 -- Duan Ting <duanting@uniontech.com>  Fri, 06 Jan 2023 15:51:02 +0800

qtbase-opensource-src (5.15.7-1+dde) unstable; urgency=medium

  [ Duan Ting ]
  * New upstream release (5.15.7).
  * Add i386 symbols.
  * Resolve libqtcore4 conflict with libqt5core5a.
  * Restore metatypes package location.

  [ Tang Haixiang ]
  * QTextLayout: Reconsider cursor drawing on TextObject
    -- QTBUG-92468-reconsider-cursor-drawing-textObject.patch
  * Revert "xcb: implement missing bits from ICCCM 4.1.4 WM_STATE handling"
    -- QTBUG-101347-revert-xcb-implement-missing-bits-form-icccm414-WM_STATE-handling.patch

  [ Lu YaNing ]
  * Install QtXcbQpa private headers.

 -- Duan Ting <duanting@uniontech.com>  Mon, 31 Oct 2022 18:10:24 +0800

=== debian/control ===
--- 
+++ 
@@ -86,7 +86,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-15-6
+Provides: qtbase-abi-5-15-8
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 # Upstream changelog
 upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
+
+upstream_version := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r "s/.*([0-9]+\.[0-9]+\.[0-9]+)(\.[0-9]+).*/\1/g")
 
 ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
 	extra_configure_opts += -plugin-sql-ibase
@@ -239,6 +241,3 @@
 		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
 
 	# Use multiarched directory for host_bins variable (see #909575)
-	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
-
